package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.LoginUserDeptMapper;
import com.ruoyi.system.domain.LoginUserDept;
import com.ruoyi.system.service.ILoginUserDeptService;
import com.ruoyi.common.core.text.Convert;

/**
 * 平台公司权限Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-05-11
 */
@Service
public class LoginUserDeptServiceImpl implements ILoginUserDeptService 
{
    @Autowired
    private LoginUserDeptMapper loginUserDeptMapper;

    /**
     * 查询平台公司权限
     * 
     * @param loginName 平台公司权限主键
     * @return 平台公司权限
     */
    @Override
    public LoginUserDept selectLoginUserDeptByLoginName(String loginName)
    {
        return loginUserDeptMapper.selectLoginUserDeptByLoginName(loginName);
    }

    /**
     * 查询平台公司权限列表
     * 
     * @param loginUserDept 平台公司权限
     * @return 平台公司权限
     */
    @Override
    public List<LoginUserDept> selectLoginUserDeptList(LoginUserDept loginUserDept)
    {
        return loginUserDeptMapper.selectLoginUserDeptList(loginUserDept);
    }

    /**
     * 新增平台公司权限
     * 
     * @param loginUserDept 平台公司权限
     * @return 结果
     */
    @Override
    public int insertLoginUserDept(LoginUserDept loginUserDept)
    {
        loginUserDept.setCreateTime(DateUtils.getNowDate());
        return loginUserDeptMapper.insertLoginUserDept(loginUserDept);
    }

    /**
     * 修改平台公司权限
     * 
     * @param loginUserDept 平台公司权限
     * @return 结果
     */
    @Override
    public int updateLoginUserDept(LoginUserDept loginUserDept)
    {
        loginUserDept.setUpdateTime(DateUtils.getNowDate());
        return loginUserDeptMapper.updateLoginUserDept(loginUserDept);
    }

    /**
     * 批量删除平台公司权限
     * 
     * @param loginNames 需要删除的平台公司权限主键
     * @return 结果
     */
    @Override
    public int deleteLoginUserDeptByLoginNames(String loginNames)
    {
        return loginUserDeptMapper.deleteLoginUserDeptByLoginNames(Convert.toStrArray(loginNames));
    }

    /**
     * 删除平台公司权限信息
     * 
     * @param loginName 平台公司权限主键
     * @return 结果
     */
    @Override
    public int deleteLoginUserDeptByLoginName(String loginName)
    {
        return loginUserDeptMapper.deleteLoginUserDeptByLoginName(loginName);
    }
}
